com.genesyslab.wfm8.API.service.schedule851

## Interface ESchStateType

-     public interface ESchStateType

  Scheduled State Type Enumeration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SCH_STATE_ACTIVITY` Work Activity state.
    `static int` | `SCH_STATE_ACTIVITY_SET` Activity Set state is artificial state - agent is never scheduled for this state.
    `static int` | `SCH_STATE_BREAK` Break state.
    `static int` | `SCH_STATE_DAYOFF` Day off state.
    `static int` | `SCH_STATE_EXCEPTION` Exception state.
    `static int` | `SCH_STATE_MARKED_TIME` Marked Time state.
    `static int` | `SCH_STATE_MEAL` Meal state.
    `static int` | `SCH_STATE_NONE` Nothing is scheduled for the agent.
    `static int` | `SCH_STATE_SHIFT` Shift state.
    `static int` | `SCH_STATE_TIMEOFF` Time Off.

- - ### Field Detail

    - #### SCH_STATE_NONE

          static final int SCH_STATE_NONE

      Nothing is scheduled for the agent. This is more theoretical state because there's really no state scheduled but, nevertheless, it is sometimes useful to describe this "special -- empty" agent state, e.g. when generating agent's compliance report.
      See Also:
        Constant Field Values

    - #### SCH_STATE_DAYOFF

          static final int SCH_STATE_DAYOFF

      Day off state. This state is full-day state.
      See Also:
        Constant Field Values

    - #### SCH_STATE_TIMEOFF

          static final int SCH_STATE_TIMEOFF

      Time Off. This state may and may not be full-day state depending on Time Off type.
      See Also:
        Constant Field Values

    - #### SCH_STATE_EXCEPTION

          static final int SCH_STATE_EXCEPTION

      Exception state. This state may and may not be full-day state depending on exception type.
      See Also:
        Constant Field Values

    - #### SCH_STATE_BREAK

          static final int SCH_STATE_BREAK

      Break state. It is part-day state and so it always has start time and end time defined. Break state can only exist within shift boundaries.
      See Also:
        Constant Field Values

    - #### SCH_STATE_MEAL

          static final int SCH_STATE_MEAL

      Meal state. This state part-day state and so it always has start time and end time defined. Meal state can only exist within shift boundaries.
      See Also:
        Constant Field Values

    - #### SCH_STATE_ACTIVITY

          static final int SCH_STATE_ACTIVITY

      Work Activity state. It is part-day state and so it always has start time and end time defined. Since multi-skill agents can be scheduled to work on more then one activity at a time, there can be several overlapping activity states for the same period of time. Activity state can only exist within shift boundaries.
      See Also:
        Constant Field Values

    - #### SCH_STATE_ACTIVITY_SET

          static final int SCH_STATE_ACTIVITY_SET

      Activity Set state is artificial state - agent is never scheduled for this state. This state is introduced just as a mean to group several Activity states into one logical state. Just as activity set groups several activities together, Activity Set state group several Activity states. All Activity states that are for activities that don't belong to any activity set are assigned to hypothetical "Work" Activity Set state.
      See Also:
        Constant Field Values

    - #### SCH_STATE_SHIFT

          static final int SCH_STATE_SHIFT

      Shift state. Shift state is artificial state - agent is never scheduled for such state. It is only introduced to describe scheduled shift boundaries, which all other part-day states should fit in. There may also be situations that because of constraints no state can be scheduled for some time window within shift boundaries. In such case Shift state is provided as scheduled state for that time and it should to be treated as a forced paid break.
      See Also:
        Constant Field Values

    - #### SCH_STATE_MARKED_TIME

          static final int SCH_STATE_MARKED_TIME

      Marked Time state. It is part-day state and so it always has start time and end time defined. Marked Time state can only exist within shift boundaries and shall never overlap any Time Off state.
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.